@charset "utf-8";

#agendar {
	margin: 99px auto 180px;
}

#agendar .error {
	width: 100%;
	text-align: center;
	margin: 0 0 18px;
}
#agendar .error p {
	color: var(--rojo);
	animation-duration: 1.3s;
	animation-delay: 0.9s;
}

#fecha {
	display: none;
}

.flatpickr-calendar {
	width: 100% !important;
	position: relative;
	box-shadow: none !important;
	border: none !important;
}
.flatpickr-innerContainer,
.flatpickr-rContainer {
	width: 100%;
}
.flatpickr-weekdaycontainer {
}
.flatpickr-weekdays {
	padding:30px 0 !important;
}
.flatpickr-monthDropdown-months {
	text-transform: uppercase;
	color: var(--grisFuerte) !important;
}
.flatpickr-weekday {
	font-size: 1.8em !important;
	display: flex;
	align-items: center;
	justify-content: center;
}
.flatpickr-days {
	width: 100% !important;
	position: relative;
}
.dayContainer {
	width: 100% !important;
	max-width: none !important;
	display: grid !important;
	grid-template-columns: repeat(7,1fr) !important;
	position: relative;
	text-align:  center !important;
}

.flatpickr-prev-month:hover svg,
.flatpickr-next-month:hover svg {
	fill: var(--azulFuerte) !important;
}

.flatpickr-day {
	width: 100% !important;
	font-size: 1.8em;
	margin: 6px auto !important;
	color: var(--azul) !important;
}
.flatpickr-day.past-day {
	color: var(--grisFuerte) !important;
	cursor: not-allowed;
}
.flatpickr-day.selected {
	background-color: var(--azul) !important;
	color: var(--blanco) !important;
	border-radius: 6px;
	border: none;
}
.flatpickr-disabled,
.flatpickr-day.flatpickr-disabled,
.flatpickr-day.flatpickr-disabled:hover {
	background: none !important;
	color: var(--grisFuerte) !important;
	cursor: not-allowed;
}
.flatpickr-day.weekend,
.flatpickr-day.weekend:hover,
.prevMonthDay,
.nextMonthDay {
	color: var(--gris) !important;
	cursor: not-allowed;
}
.prevMonthDay {
	opacity: 0 !important;
}
.nextMonthDay {
	display: none !important;
}

ul.info {
	list-style: none;
	margin: 18px 0 30px;
	position: relative;
	display: flex;
	justify-content: space-between;
}
ul.info li {
	position: relative;
	margin: 0 0 3px;
	display: flex;
	gap: 6px;
	align-items: center;
}
ul.info li:last-child {
	margin: 0;
}
ul.info li span {
	width: 21px;
	display: block;
}
ul.info li span.disponible {
	height:4px;
	background: var(--azul);
	border-radius: 2px;
}
ul.info li span.no-disponible {
	height:3px;
	background: var(--gris);
	border-radius: 2px;
}
ul.info li span.seleccionado {
	height:21px;
	background: var(--azul);
	border-radius: 6px;
}

form .doble {
	width: 100%;
	position: relative;
	display: flex;
	gap: 30px;
}
form .doble.esp {
	margin: 0 0 18px;
	background: none;
}
form .doble.esp2 {
	margin: 24px 0 18px;
}
form .doble > div {
	width: 100%;
	position: relative;
	display: flex;
	background: var(--gris);
	border-radius: 30px 6px 6px 30px;
}
form .doble > .pass {
	background: none;
	justify-content: flex-end;
}
form .doble > .pass2 {
	justify-content: flex-start;
}
form .doble > .pass a {
	font-size: 0.8em;
	color: var(--azul);
}
form .doble > div label {
	width: 33.3%;
	font-family: 'Avenir Bold';
	color: var(--blanco);
	background: var(--azul);
	padding:9px 15px;
	border-radius: 30px;
	text-align: center;
	cursor: pointer;
}
form .doble > div select {
	width: 66.6%;
	color: var(--grisFuerte);
	font-size: 1.1em;
	padding:0 12px;
	background: transparent;
	border: none;
	cursor: pointer;
}

form .doble input,
form .doble.esp select {
	width: 100%;
	font-family: 'Avenir';
	font-size: 1em;
	padding:9px 15px;
	border: solid 1px var(--grisFuerte);
	background: var(--blanco);
	transition: all 0.3s ease-in-out;
}
form .doble input:focus,
form .doble.esp select:focus {
	border-color: var(--azul);
}
form .doble.ch {
	max-width: 480px;
	margin: 0 auto 18px;
}
form .doble .inp > label {
	width: 66px;
	height:100%;
	border: solid 1px var(--grisFuerte);
	border-right: none;
	border-radius: 0;
	color: var(--azul);
	background: var(--blanco);
}

form .doble.solo {
	margin: 18px 0 0;
}
form .doble.solo > div {
	width: calc(50% - 15px);
}

/* date */
.ui-datepicker {  
    width: 250px;/*216px*/ 
    height: auto;
    margin: 5px auto 0;
	font: 9pt 'Avenir';
	background:var(--blanco);
	border: solid 1px var(--grisFuerte);
	z-index:999 !important;
}
.ui-datepicker select {
	font-family: 'Avenir Bold';
	font-size: 1.2em;
	padding:3px;
	color: var(--grisFuerte);
	background: var(--blanco);
	border: none;
}
.ui-datepicker a {  
    text-decoration: none;  
}
.ui-datepicker table {  
    width: 100%;
	margin: 0 !important;
	padding:0 !important;
}
.ui-datepicker-header {
	font-family: 'Fashion Fetish Bold';
    color: var(--blanco);  
    font-weight: bold;
	line-height: 30px;
	letter-spacing:1px;
	font-size:1em;
	background: none;
	padding:9px 0 0;
} 
.ui-datepicker-title {  
    text-align: center;  
}
.ui-datepicker-prev, .ui-datepicker-next {  
    cursor: pointer;
	font-size:1.3em;
	color: var(--azul);
} 
.ui-datepicker-prev {
    float: left;
	position:relative;
	padding-left: 12px;
}
.ui-datepicker-next {  
    float:right;
	position:relative;
	padding-right: 12px;
}
.ui-datepicker thead {  
    background-color:none;
	margin:0px;
}
.ui-datepicker th {
    font-family: 'Fashion Fetish Bold';
    font-size: 0.9em;
	text-align:center;
	letter-spacing:1px;
    padding: 5px 0; 
	color: var(--azul);
}
.ui-datepicker tbody td {  
    padding: 0px;
}
.ui-datepicker tbody td:last-child {  
    border-right: 0px;  
}
.ui-datepicker tbody tr:last-child {  
    border-bottom: 0px;  
}
.ui-datepicker td span, .ui-datepicker td a {
	font-family: 'Avenir';
    display: inline-block; 
    text-align: center;  
    width: 30px;  
    height:30px;  
    line-height:30px;  
    color: var(--grisFuerte);
}  
.ui-datepicker-calendar .ui-state-default {  
    background: var(--blanco);
}
.ui-datepicker-unselectable .ui-state-default {  
    background: var(--blanco);
    color: rgba(0,0,0,0.3);
}
.ui-datepicker-calendar .ui-state-hover,
.ui-datepicker-calendar .ui-state-active {  
	color: var(--blanco);
    background: var(--azul);
	border-radius: 3px !important;
}

.container {
    display: block;
    position: relative;
	padding: 0 30px 12px 0;
    margin: 12px 0;
    cursor: pointer;
	pointer-events: all;
    -webkit-user-select: none;
       -moz-user-select: none;
        -ms-user-select: none;
            user-select: none;
}
.container input {
    position: absolute;
    opacity: 0;
    cursor: pointer;
}
.checkmark {
    position: absolute;
    top:  0;
	right:0;
    height:24px;
    width: 24px;
    background-color: var(--blanco);
    border-radius: 6px;
	border: solid 1px var(--grisFuerte);
}
.containerIzq {
	padding-left: 33px;
}
.containerIzq .checkmark {
	left:0;
}
.container:hover input ~ .checkmark,
.container input:checked ~ .checkmark {
    background-color: var(--azul);
}
.checkmark:after {
    content: '';
    position: absolute;
    display: none;
}
.container input:checked ~ .checkmark:after {
    display: block;
}
.container .checkmark:after {
	font-family: 'icomoon' !important;
	content: "\e900";
	color: var(--blanco);
	left: 3px;
}
p.link a {
	font-size: 0.8em;
	color: var(--azul);
}

form .enviar {
	position: relative;
	display: flex;
	justify-content: center;
	padding:24px 0;
	z-index: 3;
}

.nota {
	max-width: 600px;
	margin: 0 auto 30px;
	padding:30px;
	background: var(--grisClaro);
	animation-duration: 1.3s;
	animation-delay: 0.9s;
}
.nota p {
	font-size: 0.9em;
}
.nota a {
	font-size: 0.9em;
	margin: 12px 0 0;
	color: var(--marino);
	display: block;
}
.nota a:hover {
	text-decoration: underline;
}

#trats {
	margin: 120px auto -84px;
}

#agendar .boxes {
	width: 100%;
	position: relative;
	display: flex;
	align-items: flex-end;
	padding:0;
	animation-duration: 1.3s;
	animation-delay: 1.2s;
	z-index: 3;
}
#agendar .boxes > div {
	width: 33.3%;
	position: relative;
}
#agendar .boxes > div:nth-child(2) {
	text-align: center;
}
#agendar .boxes > div:nth-child(3) {
	text-align: right;
}
#agendar .boxes p {
	color: var(--azul);
}
#agendar .boxes .dia {
	width: 60px;
	height:60px;
	background: var(--azul);
	position: relative;
	margin: 0 auto;
	display: flex;
	align-items: center;
	justify-content: center;
	border-radius: 6px;
}
#agendar .boxes .dia h2 {
	font-family: 'Avenir';
	font-size: 36px;
	color: var(--blanco);
	margin: -18px auto 0;
}
#agendar .boxes .mes {
	font-family: 'Avenir';
	font-size: 1.3em;
}
#agendar .boxes .hora {
	font-size: 0.9em;
	display: block;
	margin: 9px auto 0;
}
#agendar .boxes .btn {
	font-family: 'Avenir';
	font-size: 0.9em;
	padding:12px 15px;
}

#agendar .preg {
	width: 100%;
	padding:48px 0 24px;
	text-align: center;
}
#agendar .preg h3 {
	color: var(--grisFuerte);
}

.opciones {
	width: 100%;
	position: relative;
	display: flex;
	gap: 12px;
	justify-content: center;
	padding:0 0 18px;
	z-index: 3;
}
.opciones label {
	display: block;
	position: relative;
	cursor: pointer;
	padding: 0;
	border: solid 1px var(--negro);
	text-align: center;
	border-radius: 6px;
	-webkit-user-select: none;
	-moz-user-select: none;
	-ms-user-select: none;
	user-select: none;
	overflow: hidden;
}
.opciones label > div {
	width: 102%;
	height:102%;
	object-fit: cover;
	position: absolute;
	top: 50%;
	left:50%;
	transform: translate(-50%,-50%);
	background: none;
	transition: all 0.3s ease-in-out;
	z-index: -1;
}
.opciones label p {
	padding:12px;
}
.opciones label input {
	width: 0;
	height:0;
	position: absolute;
	opacity: 0;
	cursor: pointer;
}
.opciones label input:checked ~ p,
.opciones label input:checked ~ h3 {
	color: var(--blanco);
}
.opciones label:hover div {
	background: var(--grisClaro);
}
.opciones label input:checked ~ div {
	background: var(--azul);
}

.formEsp {
	margin: 150px auto 30px;
}

.alerta {
	width: 100%;
	padding:0 0 15px;
	text-align: center;
	color: var(--rojo);
	animation-duration: 1.2s;
	animation-delay: 0.9s;
}

#cambiarFoto {
	margin: -90px auto 120px;
}
#cambiarFoto .preg {
	width: 100%;
	padding:48px 0 24px;
	text-align: center;
}
#cambiarFoto .preg h3 {
	color: var(--grisFuerte);
}

#cambiarFoto .inp {
	flex-wrap: wrap;
}
#cambiarFoto .inp input {
	height: auto;
}
#cambiarFoto .inp > div {
	padding:18px;
}
#cambiarFoto .inp > div p {
	font-size: 0.8em;
}

.doble img {
	width: 100%;
}

.portaPagar {
	position: relative;
	display: flex;
	justify-content: center;
}

@media screen and (max-width:666px) {
	
	ul.info {
		flex-wrap: wrap;
	}
	ul.info li {
		width: 100%;
	}
	
	form .doble {
		flex-wrap: wrap;
		gap: 12px;
	}
	form .doble > div label {
		width: 39%;
		padding:6px 9px;
	}
	form .doble > div select {
		width: 61%;
	}
	form .doble.ch {
		max-width: none;
	}
	form .doble.solo > div {
		width: 100%;
	}
	
	
	#agendar .boxes {
		flex-wrap: wrap;
		gap: 18px 0;
	}
	#agendar .boxes > div {
		width: 100%;
	}
	#agendar .boxes > div:nth-child(1) {
		width: 100%;
		text-align: center;
	}
	#agendar .boxes > div:nth-child(3) {
		position: absolute;
		right: 0;
		bottom:-3px;
	}
	#agendar .boxes .btn {
		font-size: 0.7em;
	}

#agendar .preg {
	width: 100%;
	padding:48px 0 24px;
	text-align: center;
}
#agendar .preg h3 {
	color: var(--grisFuerte);
}
	
}